var workout = require('../../data/models/workout');

function loadworkout(req, res, next) {
  console.log('fetch id' + req.params._id );
  workout.findOne({_id: req.params._id})
    .populate('elements.exerciseID')
    .exec(function(err, workout) {
      if (err) {
        return next(err);
      }
      if (! workout) {
        return res.send('Not found', 404);
      }
      req.workout = workout;
      next();
    });
}

module.exports = loadworkout;